Summary:	Tool to change the priority of IPv4 routes
Name:		ifmetric
Version:	0.3
Release:	%mkrel 21
License:	GPLv2+
Group: 		System/Networking
Url: 		https://0pointer.de/lennart/projects/ifmetric/
Source0:	https://0pointer.de/lennart/projects/ifmetric/%{name}-%{version}.tar.bz2
# From Debian bug tracker:
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=514197#22
Patch0:		ifmetric-0.3-replybuf.patch
BuildRequires:	lynx

%description
ifmetric is a Linux tool for setting the metrics of all IPv4 routes
attached to a given network interface at once. This may be used to
change the priority of routing IPv4 traffic over the interface.
Lower metrics correlate with higher priorities.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-xmltoman
%make_build

%install
%make_install

%files
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3-21.mga10
+ Revision: 2213663
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.3-20.mga9
+ Revision: 1839381
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.3-19.mga8
+ Revision: 1513566
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3-18.mga7
+ Revision: 1298280
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 15 2016 umeabot <umeabot> 0.3-17.mga6
+ Revision: 960667
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.3-16.mga6
+ Revision: 867520
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.3-15.mga5
+ Revision: 746642
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-14.mga5
+ Revision: 680467
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3-13.mga4
+ Revision: 521434
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.3-12.mga3
+ Revision: 390878
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.3-11.mga3
+ Revision: 354265
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 wally <wally> 0.3-10.mga2
+ Revision: 132891
- add patch from Debian bug tracker to fix ifmetric failing sometimes
- this should also fix mga#2080
- fix license
- clean .spec a bit
+ pterjan <pterjan>
- Do not use manbo tag
+ blino <blino>
- imported package ifmetric


* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 0.3-8mnb2
+ Revision: 498407
- rebuild

* Tue Aug 05 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3-7mnb2
+ Revision: 263682
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3-6mnb1
+ Revision: 170651
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3-6mdv2008.1
+ Revision: 134095
- rebuild

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3-5mdv2008.1
+ Revision: 126997
- kill re-definition of %%buildroot on Pixel's request
- fix man pages


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-5mdv2007.0
+ Revision: 119961
- Import ifmetric

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3-4mdk
- Rebuild

* Wed Aug 04 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3-3mdk
- fix buildrequires

* Thu Jul 01 2004 Olivier Blin <blino@mandrake.org> 0.3-2mdk
- rpmbuildupdate awareness

* Thu Jul 01 2004 Olivier Blin <blino@mandrake.org> 0.3-1mdk
- first Mandrakelinux release

